# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "corineus"
  s.version = "0.1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Richard Grainger"]
  s.date = "2016-08-04"
  s.description = "Corineus is a wrapper for the kinit and nsupdate commands to allow easy authenticated updates of DNS records on a Microsoft Windows DNS server from Linux."
  s.email = ["grainger@gmail.com"]
  s.executables = ["corineus"]
  s.files = ["bin/corineus"]
  s.homepage = "https://gitlab.com/harbottle/corineus"
  s.licenses = ["MIT"]
  s.require_paths = ["lib", "lib"]
  s.rubygems_version = "2.0.14.1"
  s.summary = "corineus - update DNS records on remote Windows servers from Linux"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<colorize>, [">= 0.8.1"])
      s.add_runtime_dependency(%q<POpen4>, [">= 0.1.4"])
      s.add_runtime_dependency(%q<thor>, [">= 0.19.1"])
      s.add_development_dependency(%q<bundler>, ["~> 1.12"])
      s.add_development_dependency(%q<rake>, ["~> 10.0"])
      s.add_development_dependency(%q<minitest>, ["~> 5.0"])
    else
      s.add_dependency(%q<colorize>, [">= 0.8.1"])
      s.add_dependency(%q<POpen4>, [">= 0.1.4"])
      s.add_dependency(%q<thor>, [">= 0.19.1"])
      s.add_dependency(%q<bundler>, ["~> 1.12"])
      s.add_dependency(%q<rake>, ["~> 10.0"])
      s.add_dependency(%q<minitest>, ["~> 5.0"])
    end
  else
    s.add_dependency(%q<colorize>, [">= 0.8.1"])
    s.add_dependency(%q<POpen4>, [">= 0.1.4"])
    s.add_dependency(%q<thor>, [">= 0.19.1"])
    s.add_dependency(%q<bundler>, ["~> 1.12"])
    s.add_dependency(%q<rake>, ["~> 10.0"])
    s.add_dependency(%q<minitest>, ["~> 5.0"])
  end
end
